package com.liquidnet.service.goblin.service;

import com.liquidnet.service.goblin.dto.vo.GoblinUserDigitalArtworkInfoVo;
import com.liquidnet.service.goblin.dto.vo.GoblinUserDigitalArtworkListVo;
import com.liquidnet.service.goblin.dto.vo.GoblinUserDigitalArtworkPageVo;
import com.liquidnet.service.goblin.dto.vo.GoblinUserDigitalArtworkVo;

public interface IGoblinUserDigitalArtworkService {

    GoblinUserDigitalArtworkPageVo page(String uid, Integer pageNum, Integer pageSize);

    GoblinUserDigitalArtworkInfoVo info(String uid, String artworkId);

    GoblinUserDigitalArtworkListVo unboxingForBuyOrExchange(String uid, GoblinUserDigitalArtworkVo userDigitalArtworkVo);

    boolean accept(String uid, GoblinUserDigitalArtworkVo userDigitalArtworkVo);
}
